disc {ade4} | R Documentation

## Rao's dissimilarity coefficient

### Description

Calculates the root square of Rao's dissimilarity coefficient between samples.

### Usage

    disc(samples, dis = NULL, structures = NULL)

### Arguments

`samples` | a data frame with elements as rows, samples as columns, and abundance, presence-absence or frequencies as entries
`dis` | an object of class `dist` containing distances or dissimilarities among elements. If `dis` is NULL, equidistances are used.
`structures` | a data frame containing, in the jth row and the kth column, the name of the group of level k to which the jth population belongs.

### Value

Returns a list of objects of class `dist`

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Rao, C.R. (1982) Diversity and dissimilarity coefficients: a unified approach. Theoretical Population Biology, 21, 24–43.

### Examples

    data(humDNAm)
    humDNA.dist <- disc(humDNAm$samples, sqrt(humDNAm$distances), humDNAm$structures)
    humDNA.dist
    is.euclid(humDNA.dist$samples)
    is.euclid(humDNA.dist$regions)

    ## Not run:
    data(ecomor)
    dtaxo <- dist.taxo(ecomor$taxo)
    ecomor.dist <- disc(ecomor$habitat, dtaxo)
    ecomor.dist
    is.euclid(ecomor.dist)

    ## End(Not run)

[Package ade4 version 1.7-13 Index]